Bug 870000 - [abrt] system-config-printer-1.3.8-4.fc16: newprinter.py:2340:on_tvNPDevices_cursor_changed:IndexError: string index out of range
[abrt] system-config-printer-1.3.8-4.fc16: newprinter.py:2340:on_tvNPDevices_...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:e881f83fb4eb0a5db02f395ac50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 06:21 EDT by geigor
Modified: 2012-12-11 19:29 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.3.9-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 19:29:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geigor 2012-10-25 06:21:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.6.2-1.fc16.i686
time:           Thu 25 Oct 2012 12:19:07 PM CEST
uid:            1003
username:       geigor

backtrace:
:newprinter.py:2340:on_tvNPDevices_cursor_changed:IndexError: string index out of range
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/newprinter.py", line 2340, in on_tvNPDevices_cursor_changed
:    if cupsqueue[0] == '/':
:IndexError: string index out of range
:
:Local variables in innermost frame:
:widget: <gtk.TreeView object at 0x96d4be4 (GtkTreeView at 0x9a40338)>
:name: u'Samsung%20CLP-775%20Series%20(SEC001599A3701A)'
:column: <gtk.TreeViewColumn object at 0x9cb1914 (GtkTreeViewColumn at 0x9ea6b38)>
:cupsqueue: u''
:self: <NewPrinterGUI object at 0x8a4a20c (newprinter+NewPrinterGUI at 0x9348190)>
:rest: None
:physicaldevice: <PhysicalDevice.PhysicalDevice (,,)>
:iter: <GtkTreeIter at 0x9e57a60>
:device: <cupshelpers.Device "dnssd://Samsung%20CLP-775%20Series%20(SEC001599A3701A)">
:path: (0,)
:model: <gtk.TreeStore object at 0xad88b054 (GtkTreeStore at 0x9f73220)>
:scheme: u'dnssd'
Comment 1 Fedora Update System 2012-10-25 12:42:10 EDT
system-config-printer-1.3.12-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-3.fc18
Comment 2 Fedora Update System 2012-10-26 15:33:01 EDT
Package system-config-printer-1.3.12-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-3.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-19 14:36:56 EST
Package system-config-printer-1.3.12-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-4.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-21 15:56:31 EST
Package system-config-printer-1.3.12-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-6.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-27 21:11:19 EST
Package system-config-printer-1.3.12-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-7.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-11 19:29:24 EST
system-config-printer-1.3.12-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.